/*
 * $LastChangedBy$
 * $LastChangedDate$
 * $LastChangedRevision$
 * $HeadURL$
 *
 * Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
 */

import Foundation

/**
 Protocol for event handlers
 */
public protocol EventHandler {
    var listenerId: String { get }
    
    /**
     Handles an event (eg click event, advanced event), which leads to points for keywords
     - parameter event: Event object
     */
    func handleEvent(_ event: Event)
}
